<div class="center">
  <label class="title-page">{{'adresseInfoTitle' | translate}}</label>
  <div class="banner"></div>
  <!-- <div class="form-control"> <label class="label">{{'adresseInfoTitle' | translate}}</label></div> -->
  <div class="form-control">
    <label class="sub-label">{{'residence' | translate}}</label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <mat-select [(ngModel)]="addressInfo.countryOfResidence" (selectionChange)="onChangeCountry($event.value)">
        <mat-select-trigger *ngIf="country" class="flag-icon flag-icon-{{country.flag}} country">
          <mat-icon>whatever</mat-icon>
          <span style=" font-family: SansPro;">{{addressInfo.countryOfResidence}}</span>
        </mat-select-trigger>
        <mat-option *ngFor="let country of countries" [value]="country.name">
          <mat-icon class="flag-icon flag-icon-{{country.flag}}">whatever</mat-icon>
          <span> {{country.name}}</span>
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'address' | translate}}
    </label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput [(ngModel)]='addressInfo.address' required [value]='addressInfo.address'>
    </mat-form-field>
    <div *ngIf="addressInfo.address == ''" class="error-message">
      <div>
        {{'address_error' | translate}}
      </div>
    </div>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'zip' | translate}}
    </label>
  </div>
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput [(ngModel)]='addressInfo.zip' (keypress)="numberOnly($event)" required [value]='addressInfo.zip'>
    </mat-form-field>

    <div *ngIf=" addressInfo.zip != undefined  " class="error-message">
      <div *ngIf="addressInfo.zip.toString() == ''">
        {{'zip_error' | translate}}
      </div>
    </div>
  </div>

  <div class="form-control">
    <label class="sub-label">{{'state' | translate}}
    </label>
  </div>
  <!-- <div class="form-control" >
      <mat-form-field appearance="outline" >
        <mat-select  [(ngModel)]="address.city" >
          <mat-option *ngFor="let item of cities" [value]="item">
            {{item}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div> -->
  <div class="form-control">
    <mat-form-field appearance="outline">
      <input matInput [(ngModel)]='addressInfo.city' (keypress)="!numberOnly($event)" required
        [value]='addressInfo.city'>
    </mat-form-field>
    <div *ngIf="addressInfo.city == ''" class="error-message">
      <div>
        {{'city_error' | translate}}
      </div>
    </div>
  </div>

  <div class="form-control">
    <button mat-button class="btn-continue cont-lay" (click)='continue()'>
      <span class="continuer">{{'confirmer' | translate}} </span>
    </button>

    <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
      <span class="material-icons">
        arrow_back_ios
      </span><span class="retour">{{'back-btn' | translate}} </span></button>
  </div>
</div>